import type { Context } from "../../../types";
import type { IImportFromUrlProcessEntries, IImportFromUrlProcessEntriesInput, IImportFromUrlProcessEntriesOutput } from "./abstractions/ImportFromUrlProcessEntries";
import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks";
import type { IFileFetcher } from "../../utils/fileFetcher";
import type { ICompressedFileReader, IDecompressor } from "../../utils/decompressor";
export interface IImportFromUrlProcessEntriesParams {
    fileFetcher: IFileFetcher;
    reader: ICompressedFileReader;
    decompressor: IDecompressor;
}
export declare class ImportFromUrlProcessEntries<C extends Context = Context, I extends IImportFromUrlProcessEntriesInput = IImportFromUrlProcessEntriesInput, O extends IImportFromUrlProcessEntriesOutput = IImportFromUrlProcessEntriesOutput> implements IImportFromUrlProcessEntries<C, I, O> {
    private readonly fileFetcher;
    private readonly reader;
    private readonly decompressor;
    constructor(params: IImportFromUrlProcessEntriesParams);
    run(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
}
