"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createExportContentEntriesTask = void 0;
var _tasks = require("@webiny/tasks");
var _constants = require("./constants");
const createExportContentEntriesTask = () => {
  return (0, _tasks.createTaskDefinition)({
    id: _constants.EXPORT_CONTENT_ENTRIES_TASK,
    title: "Export Content Entries",
    maxIterations: 50,
    isPrivate: true,
    description: "Export content entries from a specific model.",
    async run(params) {
      const {
        createExportContentEntries
      } = await import(/* webpackChunkName: "createExportContentEntries" */"./domain/createExportContentEntries");
      try {
        const runner = createExportContentEntries();
        return await runner.run(params);
      } catch (ex) {
        return params.response.error(ex);
      }
    }
  });
};
exports.createExportContentEntriesTask = createExportContentEntriesTask;

//# sourceMappingURL=exportContentEntries.js.map