"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createExportContentEntriesControllerTask = void 0;
var _tasks = require("@webiny/tasks");
var _constants = require("./constants");
const createExportContentEntriesControllerTask = () => {
  return (0, _tasks.createTaskDefinition)({
    id: _constants.EXPORT_CONTENT_ENTRIES_CONTROLLER_TASK,
    title: "Export Content Entries and Assets Controller",
    maxIterations: 100,
    isPrivate: true,
    description: "Export content entries and assets from a specific model - controller.",
    async run(params) {
      const {
        ExportContentEntriesController
      } = await import(/* webpackChunkName: "ExportContentEntriesController" */"./domain/ExportContentEntriesController");
      try {
        const controller = new ExportContentEntriesController();
        return await controller.run(params);
      } catch (ex) {
        return params.response.error(ex);
      }
    }
  });
};
exports.createExportContentEntriesControllerTask = createExportContentEntriesControllerTask;

//# sourceMappingURL=exportContentEntriesController.js.map