"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createImportFromUrlProcessAssetsTask = void 0;
var _constants = require("./constants");
var _tasks = require("@webiny/tasks");
const createImportFromUrlProcessAssetsTask = () => {
  return (0, _tasks.createTaskDefinition)({
    id: _constants.IMPORT_FROM_URL_PROCESS_ASSETS_TASK,
    title: "Import from URL List - Process entries",
    maxIterations: 10,
    isPrivate: true,
    description: "Process entries import.",
    async run(params) {
      const {
        createImportFromUrlProcessAssets
      } = await import(/* webpackChunkName: "createImportFromUrlProcessAssets" */"./domain/createImportFromUrlProcessAssets");
      try {
        const runner = createImportFromUrlProcessAssets();
        return await runner.run(params);
      } catch (ex) {
        return params.response.error(ex);
      }
    }
  });
};
exports.createImportFromUrlProcessAssetsTask = createImportFromUrlProcessAssetsTask;

//# sourceMappingURL=importFromUrlProcessAssets.js.map