"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createImportFromUrlProcessEntriesTask = void 0;
var _constants = require("./constants");
var _tasks = require("@webiny/tasks");
const createImportFromUrlProcessEntriesTask = () => {
  return (0, _tasks.createTaskDefinition)({
    id: _constants.IMPORT_FROM_URL_PROCESS_ENTRIES_TASK,
    title: "Import from URL List - Process entries",
    maxIterations: 500,
    isPrivate: true,
    description: "Process entries import.",
    async run(params) {
      const {
        createImportFromUrlProcessEntries
      } = await import(/* webpackChunkName: "createImportFromUrlProcessEntries" */"./domain/createImportFromUrlProcessEntries");
      try {
        const runner = createImportFromUrlProcessEntries();
        return await runner.run(params);
      } catch (ex) {
        return params.response.error(ex);
      }
    }
  });
};
exports.createImportFromUrlProcessEntriesTask = createImportFromUrlProcessEntriesTask;

//# sourceMappingURL=importFromUrlProcessEntries.js.map