import type { CmsEntryMeta } from "@webiny/api-headless-cms/types";
export interface IPointerStoreParams {
    entryMeta: {
        cursor: string | null | undefined;
    };
    fileCursor?: string;
}
export declare class PointerStore {
    private isTaskAborted;
    private isStoredFiles;
    private entryMeta?;
    private fileCursor?;
    constructor(params: IPointerStoreParams);
    setEntryMeta(meta?: CmsEntryMeta): void;
    getEntryTotalItems(): number;
    getEntryHasMoreItems(): boolean;
    getEntryCursor(): string | undefined;
    setFileCursor(cursor?: string): void;
    getFileCursor(): string | undefined;
    getIsStoredFiles(): boolean;
    setIsStoredFiles(): void;
    getTaskIsAborted(): boolean;
    setTaskIsAborted(): void;
    resetFileCursor(): void;
}
