import type { S3Client } from "../helpers/s3Client";
import type { IUnzipperFile } from "./abstractions/Decompressor";
import type { ICompressedFileReader } from "./abstractions/CompressedFileReader";
export interface ICompressedFileReaderParams {
    client: S3Client;
    bucket: string;
}
export declare class CompressedFileReader implements ICompressedFileReader {
    private readonly client;
    private readonly bucket;
    constructor(params: ICompressedFileReaderParams);
    read(target: string): Promise<IUnzipperFile[]>;
}
export declare const createCompressedFileReader: (params: ICompressedFileReaderParams) => ICompressedFileReader;
