import type { IContentEntryTraverser } from "@webiny/api-headless-cms";
import type { IAsset, IAssignAssetsInput, IEntryAssets } from "./abstractions/EntryAssets";
import type { IUniqueResolver } from "../uniqueResolver/abstractions/UniqueResolver";
export interface IEntryAssetsParams {
    traverser: IContentEntryTraverser;
    uniqueResolver: IUniqueResolver<IAsset>;
}
export declare class EntryAssets implements IEntryAssets {
    private readonly uniqueResolver;
    private readonly traverser;
    constructor(params: IEntryAssetsParams);
    assignAssets(input: IAssignAssetsInput): Promise<IAsset[]>;
    private parseAssetSrc;
    private assignAssetsToItems;
}
