"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSizeSegments = void 0;
var _bytes = _interopRequireDefault(require("bytes"));
const createSizeSegments = (fileSize, segmentSizeInput) => {
  const segmentSize = typeof segmentSizeInput === "number" ? segmentSizeInput : _bytes.default.parse(segmentSizeInput);
  if (!segmentSize) {
    return [];
  }
  const segments = [];
  let segmentIndex = 0;
  for (let start = 0; start < fileSize; start += segmentSize + 1) {
    const end = start + segmentSize > fileSize ? fileSize : start + segmentSize;
    segments[segmentIndex] = {
      start,
      end
    };
    segmentIndex++;
  }
  return segments;
};
exports.createSizeSegments = createSizeSegments;

//# sourceMappingURL=sizeSegments.js.map